<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<jsp:useBean id="taskList" class="au.edu.uts.aip.todo.TaskList" scope="session"/>
<!DOCTYPE html>
<html>
    <head>
        <title>To-do List</title>
    </head>
    <body>
        <h1>To-do List</h1>
        <p><b>Current To-do Items</b></p>
        <ul>
            <c:forEach var="task" items="${taskList.tasks}">
                <li><c:out value="${task.title}"/>: <i><c:out value="${task.notes}"/></i></li>
            </c:forEach>
        </ul>
        <c:url var="createUrl" value="create.jsp"/>
        <p><a href="${createUrl}">Create a new task</a></p>
    </body>
</html>
