<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page import="au.edu.uts.aip.todo.*"%>
<%
    TaskList taskList = (TaskList)session.getAttribute("taskList");
    if (null == taskList) {
        taskList = new TaskList();
        session.setAttribute("taskList", taskList);
    }
%>
<!DOCTYPE html>
<html>
    <head>
        <title>To-do List</title>
    </head>
    <body>
        <h1>To-do List</h1>
        <p><b>Current To-do Items</b></p>
        <ul>
            <%
                for (Task task : taskList.getTasks()) {
                    %>
                        <li><%= task.getTitle() %>: <i><%= task.getNotes() %></i></li>
                    <%
                }
            %>
        </ul>
        <p><a href="create.jsp">Create a new task</a></p>
    </body>
</html>
